--- a/dw/fltkui.cc	Sun Apr 27 18:56:44 2025
+++ b/dw/fltkui.cc	Thu May 22 15:02:20 2025
@@ -1171,8 +1171,11 @@ void FltkToggleButtonResource<I>::setWidgetStyle (Fl_W
                                                   core::style::Style *style)
 {
    FltkResource::setWidgetStyle(widget, style);
-
-   widget->selection_color(FL_BLACK);
+   FltkColor *bg = (FltkColor*)style->backgroundColor;
+   int normal_bg = bg->colors[FltkColor::SHADING_NORMAL];
+   int style_fg = ((FltkColor*)style->color)->colors[FltkColor::SHADING_NORMAL];
+   Fl_Color fg = fl_contrast(style_fg, normal_bg);
+   widget->selection_color(fg);
 }
 
 
